package TreeJuxtaposer;
import java.io.File;

public class Utils {

    public final static String nexus = "nexus";
    public final static String newick = "nh";
    public final static String nexus_file_description = "nexus file ( .nexus )";
    public final static String newick_file_description = "newick file ( .nh )";

    /*
     * Get the extension of a file.
     */
    public static String getExtension(File f) {
        String ext = null;
        String s = f.getName();
        int i = s.lastIndexOf('.');

        if (i > 0 &&  i < s.length() - 1) {
            ext = s.substring(i+1).toLowerCase();
        }
        return ext;
    }
}
